Account
GET
OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriavatarPath?stringavatarUrl?stringcomplete*booleancreatedAt*stringFormat
date-timedateOfBirth?stringdisplayName*stringgender?stringid*stringidentities*array<>|nullmissingIdentities?array<string>|nullupdatedAt*stringFormat
date-timecurl -X GET 'https://example.com/api/v1/account'Example Response
{ "$schema": "https://example.com/schemas/AccountResponse.json", "avatarPath": "string", "avatarUrl": "string", "complete": true, "createdAt": "2019-08-24T14:15:22Z", "dateOfBirth": "string", "displayName": "string", "gender": "string", "id": "string", "identities": [ { "id": "string", "issuer": "string", "kind": "string", "value": "string", "verifiedAt": "2019-08-24T14:15:22Z" } ], "missingIdentities": [ "string" ], "updatedAt": "2019-08-24T14:15:22Z"}PATCH
application/json- body
avatarPath?stringdateOfBirth?stringdisplayName?stringgender?stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriavatarPath?stringavatarUrl?stringcomplete*booleancreatedAt*stringFormat
date-timedateOfBirth?stringdisplayName*stringgender?stringid*stringidentities*array<>|nullmissingIdentities?array<string>|nullupdatedAt*stringFormat
date-timecurl -X PATCH 'https://example.com/api/v1/account' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "$schema": "https://example.com/schemas/AccountResponse.json", "avatarPath": "string", "avatarUrl": "string", "complete": true, "createdAt": "2019-08-24T14:15:22Z", "dateOfBirth": "string", "displayName": "string", "gender": "string", "id": "string", "identities": [ { "id": "string", "issuer": "string", "kind": "string", "value": "string", "verifiedAt": "2019-08-24T14:15:22Z" } ], "missingIdentities": [ "string" ], "updatedAt": "2019-08-24T14:15:22Z"}DELETE
identityId*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriavatarPath?stringavatarUrl?stringcomplete*booleancreatedAt*stringFormat
date-timedateOfBirth?stringdisplayName*stringgender?stringid*stringidentities*array<>|nullmissingIdentities?array<string>|nullupdatedAt*stringFormat
date-timecurl -X DELETE 'https://example.com/api/v1/account/identities/string'Example Response
{ "$schema": "https://example.com/schemas/AccountResponse.json", "avatarPath": "string", "avatarUrl": "string", "complete": true, "createdAt": "2019-08-24T14:15:22Z", "dateOfBirth": "string", "displayName": "string", "gender": "string", "id": "string", "identities": [ { "id": "string", "issuer": "string", "kind": "string", "value": "string", "verifiedAt": "2019-08-24T14:15:22Z" } ], "missingIdentities": [ "string" ], "updatedAt": "2019-08-24T14:15:22Z"}POST
application/json- body
channel*stringkind*stringvalue*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uridestination*stringexpiresAt*stringFormat
date-timeid*stringkind*stringresendAt*stringFormat
date-timecurl -X POST 'https://example.com/api/v1/account/identity-challenges' \ -H 'Content-Type: application/json' \ -d '{ "channel": "string", "kind": "string", "value": "string"}'Example Response
{ "$schema": "https://example.com/schemas/ChallengeResponse.json", "destination": "string", "expiresAt": "2019-08-24T14:15:22Z", "id": "string", "kind": "string", "resendAt": "2019-08-24T14:15:22Z"}POST
provider*stringreturnTo?stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriauthorizationUrl*stringstate*stringcurl -X POST 'https://example.com/api/v1/account/oauth/string/start'Example Response
{ "$schema": "https://example.com/schemas/OAuthStart.json", "authorizationUrl": "string", "state": "string"}GET
limit?integerPage size (1-100)
Format
int64Range
1 <= value <= 100Default
20cursor?stringOpaque cursor from meta.nextCursor
includeTotal?booleanSet false to omit meta.total
Default
trueOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uridata*array<>|nullmeta*curl -X GET 'https://example.com/api/v1/account/sessions'Example Response
{ "$schema": "https://example.com/schemas/PageSession.json", "data": [ { "expiresAt": "2019-08-24T14:15:22Z", "host": "string", "id": "string" } ], "meta": { "hasMore": true, "limit": 0, "nextCursor": "string", "total": 0 }}DELETE
sessionId*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriok*booleancurl -X DELETE 'https://example.com/api/v1/account/sessions/string'Example Response
{ "$schema": "https://example.com/schemas/OkOutputBody.json", "ok": true}